<?php 
//Header Style
$wp_customize->add_setting(
    'style_header',
    array(
        'default'           => themesflat_customize_default('style_header'),
        'sanitize_callback' => 'esc_attr',
    )
);
$wp_customize->add_control( new themesflat_RadioImages($wp_customize,
    'style_header',
    array (
        'type'      => 'radio-images',           
        'section'   => 'section_options',
        'priority'  => 1,
        'label'         => esc_html__('Header Style', 'labaid'),
        'choices'   => array (
            'header-default' => array (
                'tooltip'   => esc_html__( 'Header Default','labaid' ),
                'src'       => THEMESFLAT_LINK . 'images/controls/header-default.jpg'
            ),

            'header-01'=>  array (
                'tooltip'   => esc_html__( 'Header 01','labaid' ),
                'src'       => THEMESFLAT_LINK . 'images/controls/header01.jpg'
            ),
        ),
    ))
); 

// Enable Header Absolute
$wp_customize->add_setting(
  'header_absolute',
    array(
        'sanitize_callback' => 'themesflat_sanitize_checkbox',
        'default' => themesflat_customize_default('header_absolute'),     
    )   
);
$wp_customize->add_control( new themesflat_Checkbox( $wp_customize,
    'header_absolute',
    array(
        'type' => 'checkbox',
        'label' => esc_html__('Header Absolute ( OFF | ON )', 'labaid'),
        'section' => 'section_options',
        'priority' => 1,
    ))
);

// Enable Header Sticky
$wp_customize->add_setting(
  'header_sticky',
    array(
        'sanitize_callback' => 'themesflat_sanitize_checkbox',
        'default' => themesflat_customize_default('header_sticky'),     
    )   
);
$wp_customize->add_control( new themesflat_Checkbox( $wp_customize,
    'header_sticky',
    array(
        'type' => 'checkbox',
        'label' => esc_html__('Header Sticky ( OFF | ON )', 'labaid'),
        'section' => 'section_options',
        'priority' => 2,
    ))
);    

// Enable Header Cart
$wp_customize->add_setting(
  'header_cart_icon',
    array(
        'sanitize_callback' => 'themesflat_sanitize_checkbox',
        'default' => themesflat_customize_default('header_cart_icon'),     
    )   
);
$wp_customize->add_control( new themesflat_Checkbox( $wp_customize,
    'header_cart_icon',
    array(
        'type' => 'checkbox',
        'label' => esc_html__('Header Cart ( OFF | ON )', 'labaid'),
        'section' => 'section_options',
        'priority' => 6,
    ))
);

// Enable Header User
$wp_customize->add_setting(
    'header_user',
      array(
          'sanitize_callback' => 'themesflat_sanitize_checkbox',
          'default' => themesflat_customize_default('header_user'),     
      )   
  );
  $wp_customize->add_control( new themesflat_Checkbox( $wp_customize,
      'header_user',
      array(
          'type' => 'checkbox',
          'label' => esc_html__('Header User ( OFF | ON )', 'labaid'),
          'section' => 'section_options',
          'priority' => 7,
      ))
  );

// Social Header
$wp_customize->add_setting(
    'social_header',
      array(
          'sanitize_callback' => 'themesflat_sanitize_checkbox',
          'default' => themesflat_customize_default('social_header'),     
      )   
  );
  $wp_customize->add_control( new themesflat_Checkbox( $wp_customize,
      'social_header',
      array(
          'type' => 'checkbox',
          'label' => esc_html__('Social ( OFF | ON )', 'labaid'),
          'section' => 'section_options',
          'priority' => 9,
      ))
  );
