<?php
/**
 * Return the default options of the theme
 * 
 * @return  void
 */

function themesflat_customize_default($key) {
	$default = array(
		'social_links'	=> array ("facebook" => '#', "twitter" => '#',  "instagram" => '#',"pinterest" => '#',"linkedin" => '#'),
		'show_social_share' => 0,		
		'social_footer' => 0,
		'go_top' => 1,
		'animation_onoff' => 1,
		'topbar_background_color'	=> '#fff',
		'topbar_textcolor'	=> '#9AA5B3',
		'topbar_link_color' => '#9AA5B3',
		'topbar_link_color_hover' => '#3764EB',
		'topbar_show' => 0 ,
		'topbar_address_label' => '',
		'topbar_address' => 'Location: Washington, Connecticut, New York 11213, US',
		'topbar_email_label' => '/contact-us',
		'topbar_email' => 'Help Center ',
		// 'topbar_email_link' => '# ',
		'typography_topbar' => array(
			'family' => 'Jost',
			'style'  => '400',
			'size'   => '14',
			'line_height'=>'1.5',
			'letter_spacing' => '',
		),
		'topbar_controls' => array('padding-top' => 15,'padding-bottom' => 11),
		'logo_controls' => array('padding-top' => '','padding-bottom' => ''),
		'style_header'	=> 'header-default',	
		'header_backgroundcolor'=>'#ffffff',
		'header_menu_backgroundcolor'=>'#3764EB',
		'header_sticky' => 0,
		'header_search_box' => 0,
		'header_content_right' => '',
		'header_absolute'	=> 0,		
		'header_sidebar_toggler' => 0,
		'header_button_show' => 0,
		'header_button_text' => '+ Get Appointed',
		'header_button_url' => '/contact-us',
		'header_info_phone_text' => '',
		'header_info_phone_number' => '',
		'header_cart_icon' => 0,
		'header_user' => 0,
		'social_header' => 0,
		'header_wishlist_icon' => 0,
		'show_post_navigator' => 0,
		'show_entry_footer_content'	=> 1,
		'logo_width' => 108,
		'menu_location_primary' => 'primary',
		'site_logo'	=> THEMESFLAT_LINK . 'images/logo.png',
		'site_logo_mobile'	=> THEMESFLAT_LINK . 'images/logo-mb.png',	
		'show_bottom' => 1,		
		'header_backgroundcolor_sticky'=>'#fff',		
		'primary_color'=>'#142441',
		'secondary_color'=>'#3764EB',
		'accent_color'=>'#FEE100',
		'typography_body' => array(
			'family' => 'Jost',
			'style'  => 'regular',
			'size'   => '16',
			'line_height'=>'1.875',
			'letter_spacing' => '0px',
		),
		'body_text_color'=>'#9AA5B3',
		'body_background_color' => '',
		'page_sidebar_layout' => 'fullwidth',
		'content_controls' => array('padding-top' => 120,'padding-bottom' => 120),
		'typography_menu' => array(
			'family' => 'Jost',
			'style'  => '500',
			'size'   => '14',
			'line_height'=>'60px',
			'letter_spacing' => '0px',
		), 
		'mainnav_color'		=> '#FFFFFF',
		'mainnav_hover_color'=>'#FEE100',
		'mainnav_active_color'=>'#FEE100',
		'menu_distance_between' => 15,
		'typography_sub_menu' => array(
			'family' => 'Arimo',
			'style'  => '500',
			'size'   => '14',
			'line_height'=>'26px',
			'letter_spacing' => '0px',
		),
		'sub_nav_color'		=>'#1B1D21',		
		'sub_nav_color_hover'	=>	'#005DE0',
		'sub_nav_background'=>'#ffffff',
		'sub_nav_background_hover'=>'rgba(255,255,255,0)',
		'sub_nav_border_color' => '#e8e8e900',
		'typography_headings'	=> array(
			'family' => 'Arimo',
			'style'  => '700',
			'line_height'=>'1.333',
			'letter_spacing' => '0px'		
		),
		'h1_size' => 50,
		'h2_size' => 32,
		'h3_size' => 28,
		'h4_size' => 24,
		'h5_size' => 20,
		'h6_size' => 16,
		'typography_blockquote' => array(
			'family' => 'Arimo',
			'style'  => '400',
			'size'   => '16',
			'line_height'=>'30px',
			'letter_spacing' => '0px',
		),	
		'typography_blog_post_title' => array(
			'family' => 'Arimo',
			'style'  => '700',
			'size'   => '32',
			'line_height'=>'1.333',
			'letter_spacing' => '0px',
		),
		'typography_blog_post_meta' => array(
			'family' => 'Jost',
			'style'  => '400',
			'size'   => '14',
			'line_height'=>'1.142',
			'letter_spacing' => '0px',
		),
		'typography_blog_post_buttons' => array(
			'family' => 'Jost',
			'style'  => '400',
			'size'   => '14',
			'line_height'=>'1',
			'letter_spacing' => '0px',
		),
		'typography_blog_single_title' => array(
			'family' => 'Arimo',
			'style'  => '700',
			'size'   => '32',
			'line_height'=>'1.333',
			'letter_spacing' => '0px',
		),
		'typography_blog_single_comment_title' => array(
			'family' => 'Arimo',
			'style'  => '700',
			'size'   => '28',
			'line_height'=>'1.5',
			'letter_spacing' => '0px',
		),
		'typography_sidebar_widget_title' => array(
			'family' => 'Arimo',
			'style'  => '700',
			'size'   => '20',
			'line_height'=>'1.5',
			'letter_spacing' => '0px',
		),	
		'typography_footer_widget_title' => array(
			'family' => 'Arimo',
			'style'  => '700',
			'size'   => '20',
			'line_height'=>'1.5',
			'letter_spacing' => '0px',
		),	
		'typography_page_title'	=> array(
			'family' => 'Arimo',
			'style'  => '700',
			'size'   => '50',
			'line_height'=>'1.14',
			'letter_spacing' => '0px',
		),
		'page_title_background_color' => '#EEEEEE',
		'page_title_background_color_opacity' => '100',
		'page_title_text_color' => '#142441',		
		'page_title_controls' => array('padding-top' => 98, 'padding-bottom' => 95),
		'page_title_background_image' => '',
		'page_title_image_size' => 'cover',
		'standard_design' => 0,
		'page_title_heading_enabled' => 1,
		'typography_breadcrumb'	=> array(
			'family' => 'Jost',
			'style'  => '500',
			'size'   => '16',
			'line_height'=>'1.875',
			'letter_spacing' => '0px',
		),
		'bread_crumb_prefix' =>'',
		'breadcrumb_separator' =>  '<i class="icon-labaid-la-32"></i>',
		'breadcrumb_color' => '#142441',
		'typography_buttons' => array(
			'family' => 'Arimo',
			'style'  => '700',
			'size'   => '16',
			'line_height'=>'1',
			'letter_spacing' => '0px',
		),
		'typography_pagination'	=> array(
			'family' => 'Jost',
			'style'  => '400',
			'size'   => '14',
			'line_height'=>'1',
			'letter_spacing' => '0px',
		),		
		'typography_bottom_menu' => array(
			'family' => 'Catamaran',
			'style'  => '400',
			'size'   => '16',
			'line_height'=>'1.75',
			'letter_spacing' => '0px',
		),
		'breadcrumb_enabled' => 1,
		'show_post_paginator' => 1,
		'blog_grid_columns' => 2,
		'post_content_elements' => 'meta,title,excerpt_content,readmore',
		'meta_elements' => 'author,date',
		'blog_archive_exclude' => '',
		'blog_featured_title' => '',
		'sidebar_layout' => 'sidebar-right',
		'blog_archive_layout' => 'blog-list',
		'related_post_style'	=> 'blog-grid',
		'blog_related_link'	=>	'View all',
		'blog_related_link_a'	=>	'/blog',
		'grid_columns_post_related' => 3,
		'number_related_post' => 2,
		'blog_sidebar_list'		  => 'blog-sidebar',	
		'blog_archive_readmore' => 1,
		'blog_archive_post_excepts_length' => 50,
		'blog_archive_readmore_text' => '+ Read More',
		'blog_archive_pagination_style' => 'pager-numeric',
		'blog_posts_per_page'	=> 3,
		'blog_order_by'	=> 'date',
		'blog_order_direction' => 'DESC',
		'page_sidebar_list'	=> 'blog-sidebar',	

		'portfolio_slug' => '',
		'portfolio_name' => '',
		'portfolio_show_filter' => 0,
		'portfolio_grid_columns' => 3,
		'portfolios_number_post'=> 9,
		'portfolio_filter_category_order' => '',
		'portfolio_order_by' => 'date',
		'portfolio_order_direction' => 'DESC',
		'portfolio_exclude' => '',
		'portfolios_layout' => 'fullwidth',
		'portfolios_show_post_navigator' => 0,
		'portfolios_show_related' => 0,
		'portfolios_related_grid_columns' => 3,
		'portfolios_sidebar_list' => 'blog-sidebar',
		'portfolio_post_image'	=> THEMESFLAT_LINK . 'images/logo.png',
		'number_related_post_portfolios' => 3,
		'portfolios_featured_title' => '',


		'project_number_post'=> 9,

		'services_slug' => '',
		'services_name' => '',
		'services_show_filter' => 0,
		'services_grid_columns' => 2,
		'services_number_post'=> 6,
		'services_archive_pagination_style' => 'pager-numeric',
		'services_filter_category_order' => '',
		'services_order_by' => 'date',
		'services_order_direction' => 'DESC',
		'services_exclude' => '',
		'services_layout' => 'fullwidth',
		'services_sidebar_list' => 'themesflat-custom-sidebar-servicessidebar',
		'services_show_post_navigator' => 1,
		'services_show_related' => 0,
		'services_related_grid_columns' => 3,
		'number_related_post_services' => 3,
		'services_featured_title' => 'Services Details',

		'team_slug' => '',
		'team_name' => '',
		'team_grid_columns' => 4,
		'team_number_post'=> 4,
		'team_archive_pagination_style' => 'pager-numeric',
		'team_order_by' => 'date',
		'team_order_direction' => 'DESC',
		'team_exclude' => '',
		'team_featured_title' => '',

		'research_slug' => '',
		'research_name' => '',
		'research_show_filter' => 0,
		'research_grid_columns' => 2,
		'research_number_post'=> 6,
		'research_archive_pagination_style' => 'pager-numeric',
		'research_filter_category_order' => '',
		'research_order_by' => 'date',
		'research_order_direction' => 'DESC',
		'research_exclude' => '',
		'research_layout' => 'sidebar-right',
		'research_sidebar_list' => 'blog-sidebar',
		'research_show_post_navigator' => 1,
		'research_show_related' => 0,
		'research_related_grid_columns' => 3,
		'number_related_post_research' => 3,
		'research_featured_title' => '',
		
		'typography_footer' => array(
			'family' => 'Arimo',
			'style'  => '400',
			'size'   => '16',
			'line_height'=>'1.5',
			'letter_spacing' => '',
		),
		'footer_background_color'	=> '#142441',
		'footer_title_widget_color' => '#ffffff',
		'footer_text_color'			=> 'rgba(255,255,255,0.8)',
		'footer_text_color_hover'   => '#FEE100',
		'footer_widget_areas' => 6,
		'footer_controls' => array('padding-top' => 113, 'padding-bottom' => 101),
		'footer1' => 'footer-1',
		'footer2' => 'footer-2',
		'footer3' => 'footer-3',
		'footer4' => 'footer-4',
		'footer5' => 'footer-5',
		'footer_background_image' => '',
		'footer_image_size' => 'cover',
		'typography_bottom_copyright' => array(
			'family' => 'Catamaran',
			'style'  => '400',
			'size'   => '16',
			'line_height'=>'1.5',
			'letter_spacing' => '',
		),
		'bottom_background_color'	=> '#142441',
		'bottom_text_color'			=> 'rgba(255, 255, 255, 0.7)',
		'bottom_link_color'         => 'rgba(255, 255, 255, 0.7)',
		'bottom_text_color_hover'   => '#FEE100',		
		'layout_version'			=> 'wide',		
		'footer_copyright'			=> '© Copyright 2022 <a href="https://themeforest.net/user/themesflat/portfolio">Themesflat</a> - All Rights Reserved.',
		'enable_smooth_scroll'	=> 0,
		'enable_preload' => 1,
		'preload' => 'preload-6',
		'page_title_styles' => 'parallax',
		'page_title_alignment' => 'center',
		'page_title_video_url' => '',		
		'show_action_box'	=> 0,
		'heading_action_box'	=>	'Let’s Work Together! Book your visit.',
		'text_action_box'	=>	'CONTACT US',
        'text_button_action_box'	=> '+ Contact Us',
        'action_box_background_image' =>  THEMESFLAT_LINK . '',
        'action_box_background_color' => 'rgba(238, 238, 238, 0.5)',
        'action_box_heading_color' => '#142441',
        'action_box_text_color'	=> '#9AA5B3',
        'action_box_button_text_color' => '#142441',
        'action_box_button_background_color' => '#FEE100',
		'action_box_button_url' => '/contact-us',
        'show_partner'	=> 0,
		'img_partner' => '',
		'show_number_img_partner_desktop' => 6,
		'show_number_img_partner_tablet' => 4,
		'show_number_img_partner_mobile' => 2,
		'gap_img_partner' => 30,
		'partner_box_controls' => array('padding-top' => 67,'padding-bottom' => 120),
		'partner_text_heading'	=>	'Trusted Clients',
		'partner_text_link'	=>	'View all',
		'partner_text_link_a'	=>	'/team',
		'partner_box_background_color' => '#fff',
        'show_footer_info'	=> 0,
        'footer_info_text' => 'Solve Your IT Needs Today!',
		'footer_info_button_url' => '/contact-us',
        'footer_info_button' => 'GET SOLUTIONS',
        //Woo
        'shop_products_per_page' => 12,
        'shop_columns' => 3,
        'shop_layout' => 'sidebar-right',
        'shop_layout_single' => 'fullwidth',
        'related_products' => 1,
        'related_products_columns' => 4,
        'product_featured_title' => 'Product Details',
        'product_style' => 'product-style1'
	);
	return $default[$key];
}