<?php 
$classes = 'tf-portfolio-wrap tf-widget-portfolio-wrap';
$classes .= ' '.$settings['types'];
$classes .= ' '.$settings['style'];

if ( get_query_var('paged') ) {
   $paged = get_query_var('paged');
} elseif ( get_query_var('page') ) {
   $paged = get_query_var('page');
} else {
   $paged = 1;
}
$query_args = array(
    'post_type' => 'portfolios',
    'posts_per_page' => $settings['posts_per_page'],
    'paged'     => $paged
);

if (! empty( $settings['posts_categories'] )) {         
    $query_args['tax_query'] = array(
                            array(
                                'taxonomy' => 'portfolios_category',
                                'field'    => 'slug',
                                'terms'    => $settings['posts_categories']
                            ),
                        );
}        
if ( ! empty( $settings['exclude'] ) ) {                
    if ( ! is_array( $settings['exclude'] ) )
        $exclude = explode( ',', $settings['exclude'] );

    $query_args['post__not_in'] = $exclude;
}

$query_args['orderby'] = $settings['order_by'];
$query_args['order'] = $settings['order'];

if ( $settings['sort_by_id'] != '' ) {  
    $sort_by_id = array_map( 'trim', explode( ',', $settings['sort_by_id'] ) );
    $query_args['post__in'] = $sort_by_id;
    $query_args['orderby'] = 'post__in';
}

$show_filter_class = '';

$query = new WP_Query( $query_args );
if ( $query->have_posts() ) : ?>
<div class="<?php echo esc_attr($classes); ?>">

<?php
    if ($settings['show_filter'] == 'yes'):
        $show_filter_class = 'container-filter show-filter';
        $filter_category_order = $settings['filter_category_order'];
        $filters = wp_list_pluck( get_terms( 'portfolios_category','hide_empty=1'), 'name','slug' );
        echo '<ul class="portfolio-filter posttype-filter"><li class="active"><a data-filter="*" href="#">' . esc_html__( 'All', 'themesflat-core' ) . '</a></li>'; 
        if ($filter_category_order == '') { 

            foreach ($filters as $key => $value) {
                echo '<li><a data-filter=".' . esc_attr( strtolower($key)) . '" href="#" title="' . esc_attr( $value ) . '">' . esc_html( $value ) . '</a></li>'; 
            }
        
        }
        else {
            $filter_category_order = explode(",", $filter_category_order);
            foreach ($filter_category_order as $key) {
                $key = trim($key);
                echo '<li><a data-filter=".' . esc_attr( strtolower($key)) . '" href="#" title="' . esc_attr( $filters[$key] ) . '">' . esc_html( $filters[$key] ) . '</a></li>'; 
            }
        }
        echo '</ul>';
    endif;
    ?>

    <div class="justified_portfolio justified-gallery <?php echo esc_attr($show_filter_class); ?>" data-rowheight="<?php echo esc_attr($settings['rowheight']); ?>" data-margins="24">

        <?php while ( $query->have_posts() ) : $query->the_post(); ?>
        <?php 
            global $post;
            $id = $post->ID;
            $termsArray = get_the_terms( $id, 'portfolios_category' );
            $termsString = "";

            if ( $termsArray ) {
                foreach ( $termsArray as $term ) {
                    $itemname = strtolower( $term->slug ); 
                    $itemname = str_replace( ' ', '-', $itemname );
                    $termsString .= $itemname.' ';
                }
            }

            
            ?>
            <div class="item <?php echo esc_attr( $termsString ); ?>">
                <div class="portfolios-post portfolios-post-<?php the_ID(); ?>">
                    <div class="featured-post">
                        <a href="<?php echo get_the_permalink(); ?>">
                        <?php 
                            if ( has_post_thumbnail() ) { 
                                echo sprintf('<img src="%s" alt="image">', \Elementor\Group_Control_Image_Size::get_attachment_image_src( get_post_thumbnail_id(), 'thumbnail', $settings ));
                            }                                           
                        ?>
                        <div class="overlay"></div>
                        </a>
                    </div>
                    <div class="content">
                        <div class="inner-content">
                            <p class="portfolios-category"><?php echo esc_attr ( the_terms( get_the_ID(), 'portfolios_category', '', ', ', '' ) ); ?></p>
                            <h2 class="title">
                                 <a href="<?php echo get_the_permalink(); ?>"><?php echo get_the_title(); ?></a>
                            </h2>
                        </div>                                              
                    </div>
                </div>
            </div>               
        <?php endwhile; ?>

        <?php wp_reset_postdata(); ?>
    </div>
</div>
<?php
else:
    esc_html_e('No posts found', 'themesflat-core');
endif;