<?php
class TFRecruitmentBox_Widget extends \Elementor\Widget_Base {

	public function get_name() {
        return 'tf-recruitment-box';
    }
    
    public function get_title() {
        return esc_html__( 'TF recruitment Box', 'themesflat-core' );
    }

    public function get_icon() {
        return 'eicon-icon-box';
    }
    
    public function get_categories() {
        return [ 'themesflat_addons' ];
    }

    public function get_style_depends() {
		return ['tf-recruitment-box'];
	}

	protected function register_controls() {
		// Start List Setting        
			$this->start_controls_section( 'section_setting',
	            [
	                'label' => esc_html__('Setting', 'themesflat-core'),
	            ]
	        );

			$this->add_control(
				'position',
				[
					'label' => esc_html__( 'Position', 'themesflat-core' ),
					'type' => \Elementor\Controls_Manager::TEXTAREA,
					'default' => esc_html__( 'Full Time', 'themesflat-core' ),
				]
			);

			$this->add_control(
				'title',
				[
					'label' => esc_html__( 'Title', 'themesflat-core' ),
					'type' => \Elementor\Controls_Manager::TEXTAREA,
					'default' => esc_html__( 'Chief Executive Officer.', 'themesflat-core' ),
				]
			);

            $this->add_control(
				'location',
				[
					'label' => esc_html__( 'Location', 'themesflat-core' ),
					'type' => \Elementor\Controls_Manager::TEXTAREA,
					'default' => esc_html__( 'Location: Head office,New York, USA ', 'themesflat-core' ),
				]
			);

            $this->add_control(
				'description',
				[
					'label' => 'Description',
					'type' => \Elementor\Controls_Manager::WYSIWYG,
                    'default' => esc_html__( 'Proin sollicitudin semper nulla ultricies efficitur. Donec facilisis consequat neque. Vestibulum semper massa ac maximus laoreet.', 'themesflat-core' ),
				]
			);

            $this->add_control( 
                'show_button',
                [
                    'label' => esc_html__( 'Show Button', 'themesflat-core' ),
                    'type' => \Elementor\Controls_Manager::SWITCHER,
                    'label_on' => esc_html__( 'Show', 'themesflat-core' ),
                    'label_off' => esc_html__( 'Hide', 'themesflat-core' ),
                    'return_value' => 'yes',
                    'default' => 'yes',
                ]
            );

            $this->add_control( 
				'button_text',
				[
					'label' => esc_html__( 'Button Text', 'themesflat-core' ),
					'type' => \Elementor\Controls_Manager::TEXT,
					'default' => esc_html__( 'Brochure.pdf', 'themesflat-core' ),
					'condition' => [
	                    'show_button'	=> 'yes',
	                ],
				]
			);

            $this->add_control(
				'link',
				[
					'label' => esc_html__( 'Link', 'themesflat-core' ),
					'type' => \Elementor\Controls_Manager::URL,
					'placeholder' => esc_html__( 'https://your-link.com', 'themesflat-core' ),
					'default' => [
						'url' => '#',
						'is_external' => false,
						'nofollow' => false,
					],
				]
			);

            $this->add_control(
                'post_icon_readmore',
                [
                    'label' => esc_html__( 'Post Icon ', 'labaid' ),
                    'type' => \Elementor\Controls_Manager::ICONS,
                    'default' => [
                        'value' => 'icon-labaid-la-46',
                        'library' => 'theme_icon',
                    ],
                    'condition' => [
                        'show_button' => 'yes',
                    ],
                ]
            );	
	        
	        
			$this->end_controls_section();
        // /.End List Setting  

	    // Start Style Style
			$this->start_controls_section(
				'section_style',
				[
					'label' => esc_html__( 'Style', 'themesflat-core' ),
					'tab'   => \Elementor\Controls_Manager::TAB_STYLE,
				]
			);
			$this->add_control(
				'h_general',
				[
					'label' => esc_html__( 'General', 'themesflat-core' ),
					'type' => \Elementor\Controls_Manager::HEADING,
					'separator' => 'before',
				]
			);
			$this->add_responsive_control( 'padding',
	            [
	                'label' => esc_html__( 'Padding', 'themesflat-core' ),
	                'type' => \Elementor\Controls_Manager::DIMENSIONS,
	                'size_units' => ['px', 'em', '%'],
	                'selectors' => [
	                    '{{WRAPPER}} .tf-recruitment-box' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
	                ],
	            ]
	        );		
			
			$this->add_responsive_control( 
				'margin',
				[
					'label' => esc_html__( 'Margin', 'themesflat-core' ),
					'type' => \Elementor\Controls_Manager::DIMENSIONS,
					'selectors' => [
						'{{WRAPPER}} .tf-recruitment-box' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);
			$this->add_group_control( 
				\Elementor\Group_Control_Box_Shadow::get_type(),
				[
					'name' => 'box_shadow',
					'label' => esc_html__( 'Box Shadow', 'themesflat-core' ),
					'selector' => '{{WRAPPER}} .tf-recruitment-box',
				]
			);
			$this->add_group_control( 
				\Elementor\Group_Control_Border::get_type(),
				[
					'name' => 'border',
					'label' => esc_html__( 'Border', 'themesflat-core' ),
					'selector' => '{{WRAPPER}} .tf-recruitment-box',
				]
			);
			$this->add_responsive_control( 
				'border_radius',
				[
					'label' => esc_html__( 'Border Radius', 'themesflat-core' ),
					'type' => \Elementor\Controls_Manager::DIMENSIONS,
					'size_units' => [ 'px' , '%' ],
					'selectors' => [
						'{{WRAPPER}} .tf-recruitment-box' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);

			$this->add_control( 
				'bg_content',
				[
					'label' => esc_html__( 'Background', 'themesflat-core' ),
					'type' => \Elementor\Controls_Manager::COLOR,
					'selectors' => [
						'{{WRAPPER}} .tf-recruitment-box' => 'background: {{VALUE}}',
					],
				]
			);

			$this->add_control( 
				'bg_content_hover',
				[
					'label' => esc_html__( 'Background Hover', 'themesflat-core' ),
					'type' => \Elementor\Controls_Manager::COLOR,
					'selectors' => [
						'{{WRAPPER}} .tf-recruitment-box:hover' => 'background: {{VALUE}}',
					],
				]
			);


	        $this->add_control(
				'h_number',
				[
					'label' => esc_html__( 'position', 'themesflat-core' ),
					'type' => \Elementor\Controls_Manager::HEADING,
					'separator' => 'before',
				]
			);
            $this->add_responsive_control( 'padding_position',
	            [
	                'label' => esc_html__( 'Padding', 'themesflat-core' ),
	                'type' => \Elementor\Controls_Manager::DIMENSIONS,
	                'size_units' => ['px', 'em', '%'],
	                'selectors' => [
	                    '{{WRAPPER}} .tf-recruitment-box .position' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
	                ],
	            ]
	        );		
			
			$this->add_responsive_control( 
				'margin_position',
				[
					'label' => esc_html__( 'Margin', 'themesflat-core' ),
					'type' => \Elementor\Controls_Manager::DIMENSIONS,
					'selectors' => [
						'{{WRAPPER}} .tf-recruitment-box .position' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);
            $this->add_group_control( 
	        	\Elementor\Group_Control_Typography::get_type(),
				[
					'name' => 'position_typography',
					'label' => esc_html__( 'Position Typography', 'themesflat-core' ),
					'selector' => '{{WRAPPER}} .tf-recruitment-box .position',
				]
			);
            $this->add_control(
				'position_color',
				[
					'label' => esc_html__( 'Color', 'themesflat-core' ),
					'type' => \Elementor\Controls_Manager::COLOR,
					'selectors' => [
						'{{WRAPPER}} .tf-recruitment-box .position' => 'color: {{VALUE}}',
					],
				]
			);
            $this->add_control(
				'position_color_hover',
				[
					'label' => esc_html__( 'Color Hover', 'themesflat-core' ),
					'type' => \Elementor\Controls_Manager::COLOR,
					'selectors' => [
						'{{WRAPPER}} .tf-recruitment-box:hover .position' => 'color: {{VALUE}}',
					],
				]
			);
			$this->add_control(
				'position_bg_color',
				[
					'label' => esc_html__( 'Background Color', 'themesflat-core' ),
					'type' => \Elementor\Controls_Manager::COLOR,
					'selectors' => [
						'{{WRAPPER}} .tf-recruitment-box .position' => 'background: {{VALUE}}',
					],
				]
			);
			$this->add_control(
				'position_bg_color_hover',
				[
					'label' => esc_html__( 'Background Over Color Hover', 'themesflat-core' ),
					'type' => \Elementor\Controls_Manager::COLOR,
					'selectors' => [
						'{{WRAPPER}} .tf-recruitment-box:hover .position' => 'background: {{VALUE}}',
					],
				]
			);

			$this->add_control(
				'h_inner_title',
				[
					'label' => esc_html__( 'Title', 'themesflat-core' ),
					'type' => \Elementor\Controls_Manager::HEADING,
					'separator' => 'before',
				]
			);

			$this->add_group_control( 
	        	\Elementor\Group_Control_Typography::get_type(),
				[
					'name' => 'title_typography',
					'label' => esc_html__( 'Title Typography', 'themesflat-core' ),
					'selector' => '{{WRAPPER}} .tf-recruitment-box .title',
				]
			);

			$this->add_control(
				'title_color',
				[
					'label' => esc_html__( 'Inner Color', 'themesflat-core' ),
					'type' => \Elementor\Controls_Manager::COLOR,
					'selectors' => [
						'{{WRAPPER}} .tf-recruitment-box .title' => 'color: {{VALUE}}',
					],
				]
			);
			$this->add_control(
				'title_color_hover',
				[
					'label' => esc_html__( 'Inner Color Hover', 'themesflat-core' ),
					'type' => \Elementor\Controls_Manager::COLOR,
					'selectors' => [
						'{{WRAPPER}} .tf-recruitment-box:hover .title' => 'color: {{VALUE}}',
					],
				]
			);

            $this->add_responsive_control( 'padding_position_title',
            [
                'label' => esc_html__( 'Padding', 'themesflat-core' ),
                'type' => \Elementor\Controls_Manager::DIMENSIONS,
                'size_units' => ['px', 'em', '%'],
                'selectors' => [
                    '{{WRAPPER}} .tf-recruitment-box .title' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ],
            ]
        );		
        
        $this->add_responsive_control( 
            'margin_title',
            [
                'label' => esc_html__( 'Margin', 'themesflat-core' ),
                'type' => \Elementor\Controls_Manager::DIMENSIONS,
                'selectors' => [
                    '{{WRAPPER}} .tf-recruitment-box .title' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ],
            ]
        );

        $this->add_control(
            'h_location',
            [
                'label' => esc_html__( 'Location', 'themesflat-core' ),
                'type' => \Elementor\Controls_Manager::HEADING,
                'separator' => 'before',
            ]
        );
        $this->add_responsive_control( 'padding_location',
            [
                'label' => esc_html__( 'Padding', 'themesflat-core' ),
                'type' => \Elementor\Controls_Manager::DIMENSIONS,
                'size_units' => ['px', 'em', '%'],
                'selectors' => [
                    '{{WRAPPER}} .tf-recruitment-box .location' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ],
            ]
        );		
        
        $this->add_responsive_control( 
            'margin_location',
            [
                'label' => esc_html__( 'Margin', 'themesflat-core' ),
                'type' => \Elementor\Controls_Manager::DIMENSIONS,
                'selectors' => [
                    '{{WRAPPER}} .tf-recruitment-box .location' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ],
            ]
        );
        $this->add_group_control( 
            \Elementor\Group_Control_Typography::get_type(),
            [
                'name' => 'location_typography',
                'label' => esc_html__( 'location Typography', 'themesflat-core' ),
                'selector' => '{{WRAPPER}} .tf-recruitment-box .location',
            ]
        );
        $this->add_control(
            'location_color',
            [
                'label' => esc_html__( 'Color', 'themesflat-core' ),
                'type' => \Elementor\Controls_Manager::COLOR,
                'selectors' => [
                    '{{WRAPPER}} .tf-recruitment-box .location' => 'color: {{VALUE}}',
                ],
            ]
        );
        $this->add_control(
            'location_color_hover',
            [
                'label' => esc_html__( 'Color Hover', 'themesflat-core' ),
                'type' => \Elementor\Controls_Manager::COLOR,
                'selectors' => [
                    '{{WRAPPER}} .tf-recruitment-box:hover .location' => 'color: {{VALUE}}',
                ],
            ]
        );

        $this->add_control(
            'h_inner_description',
            [
                'label' => esc_html__( 'description', 'themesflat-core' ),
                'type' => \Elementor\Controls_Manager::HEADING,
                'separator' => 'before',
            ]
        );

        $this->add_group_control( 
            \Elementor\Group_Control_Typography::get_type(),
            [
                'name' => 'description_typography',
                'label' => esc_html__( 'description Typography', 'themesflat-core' ),
                'selector' => '{{WRAPPER}} .tf-recruitment-box .description',
            ]
        );

        $this->add_control(
            'description_color',
            [
                'label' => esc_html__( 'Inner Color', 'themesflat-core' ),
                'type' => \Elementor\Controls_Manager::COLOR,
                'selectors' => [
                    '{{WRAPPER}} .tf-recruitment-box .description' => 'color: {{VALUE}}',
                ],
            ]
        );
        $this->add_control(
            'description_color_hover',
            [
                'label' => esc_html__( 'Inner Color Hover', 'themesflat-core' ),
                'type' => \Elementor\Controls_Manager::COLOR,
                'selectors' => [
                    '{{WRAPPER}} .tf-recruitment-box:hover .description' => 'color: {{VALUE}}',
                ],
            ]
        );

        $this->add_responsive_control( 'padding_position_description',
        [
            'label' => esc_html__( 'Padding', 'themesflat-core' ),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'size_units' => ['px', 'em', '%'],
            'selectors' => [
                '{{WRAPPER}} .tf-recruitment-box .description' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
        ]
    );		
    
    $this->add_responsive_control( 
        'margin_description',
        [
            'label' => esc_html__( 'Margin', 'themesflat-core' ),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'selectors' => [
                '{{WRAPPER}} .tf-recruitment-box .description' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
        ]
    );

            $this->add_control(
            'h_inner_button',
            [
                'label' => esc_html__( 'Button', 'themesflat-core' ),
                'type' => \Elementor\Controls_Manager::HEADING,
                'separator' => 'before',
            ]
        );

        $this->add_group_control( 
            \Elementor\Group_Control_Typography::get_type(),
            [
                'name' => 'button_typography',
                'label' => esc_html__( 'button Typography', 'themesflat-core' ),
                'selector' => '{{WRAPPER}} .tf-recruitment-box .tf-button',
            ]
        );

        $this->add_control(
            'button_color',
            [
                'label' => esc_html__( 'Color', 'themesflat-core' ),
                'type' => \Elementor\Controls_Manager::COLOR,
                'selectors' => [
                    '{{WRAPPER}} .tf-recruitment-box .tf-button' => 'color: {{VALUE}}',
                ],
            ]
        );
        $this->add_control(
            'button_color_hover',
            [
                'label' => esc_html__( 'Color Hover', 'themesflat-core' ),
                'type' => \Elementor\Controls_Manager::COLOR,
                'selectors' => [
                    '{{WRAPPER}} .tf-recruitment-box:hover .tf-button' => 'color: {{VALUE}}',
                ],
            ]
        );

        $this->add_control(
            'button_background',
            [
                'label' => esc_html__( 'background', 'themesflat-core' ),
                'type' => \Elementor\Controls_Manager::COLOR,
                'selectors' => [
                    '{{WRAPPER}} .tf-recruitment-box .tf-button' => 'background: {{VALUE}}',
                ],
            ]
        );
        $this->add_control(
            'button_background_hover',
            [
                'label' => esc_html__( 'background Hover', 'themesflat-core' ),
                'type' => \Elementor\Controls_Manager::COLOR,
                'selectors' => [
                    '{{WRAPPER}} .tf-recruitment-box:hover .tf-button' => 'background: {{VALUE}}',
                ],
            ]
        );

        $this->add_group_control( 
            \Elementor\Group_Control_Border::get_type(),
            [
                'name' => 'border_button',
                'label' => esc_html__( 'Border', 'themesflat-core' ),
                'selector' => '{{WRAPPER}} .tf-recruitment-box .tf-button',
            ]
        );
        $this->add_group_control( 
            \Elementor\Group_Control_Border::get_type(),
            [
                'name' => 'border_button_hover',
                'label' => esc_html__( 'Border Hover', 'themesflat-core' ),
                'selector' => '{{WRAPPER}} .tf-recruitment-box:hover .tf-button',
            ]
        );
        $this->add_responsive_control( 
            'border_radius_button',
            [
                'label' => esc_html__( 'Border Radius', 'themesflat-core' ),
                'type' => \Elementor\Controls_Manager::DIMENSIONS,
                'size_units' => [ 'px' , '%' ],
                'selectors' => [
                    '{{WRAPPER}} .tf-recruitment-box .tf-button' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ],
            ]
        );

        $this->add_responsive_control( 'padding_position_button',
        [
            'label' => esc_html__( 'Padding', 'themesflat-core' ),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'size_units' => ['px', 'em', '%'],
            'selectors' => [
                '{{WRAPPER}} .tf-recruitment-box .tf-button' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
        ]
    );		
    
    $this->add_responsive_control( 
        'margin_button',
        [
            'label' => esc_html__( 'Margin', 'themesflat-core' ),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'selectors' => [
                '{{WRAPPER}} .tf-recruitment-box .tf-button' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
        ]
    );

			$this->end_controls_section();
		// /.End Style 
	}	

	protected function render($instance = []) {
		$settings = $this->get_settings_for_display();		

		$this->add_render_attribute( 'tf_recruitment_box', ['id' => "tf-recruitment-box-{$this->get_id()}", 'class' => ['tf-recruitment-box'], 'data-tabid' => $this->get_id() ] );
		
        ?>
        <?php if ($settings['position'] != '') {
			$position = sprintf( '<h4 class="position">%1$s</h4>', $settings['position'] );
		}?>
        <?php if ($settings['title'] != '') {
			$title = sprintf( '<h3 class="title">%1$s</h3>', $settings['title'] );
		}?>
        <?php if ($settings['location'] != '') {
			$location = sprintf( '<h4 class="location">%1$s</h4>', $settings['location'] );
		}?>
        <?php if ($settings['description'] != '') {
			$description = sprintf( '<p class="description">%1$s</p>', $settings['description'] );
		}?>
        <?php 
            $target = $settings['link']['is_external'] ? ' target="_blank"' : '';
            $nofollow = $settings['link']['nofollow'] ? ' rel="nofollow"' : '';
            $icon = \Elementor\Addon_Elementor_Icon_manager_labaid::render_icon( $settings['post_icon_readmore'], [ 'aria-hidden' => 'true' ] );
            $button = sprintf( '<div class="tf-button-container">
                <a href="%2$s" class="tf-button" %3$s %4$s>%5$s %1$s </a>
            </div>',$settings['button_text'], $settings['link']['url'], $target, $nofollow, $icon);
        ?>
        <div <?php echo $this->get_render_attribute_string('tf_recruitment_box') ?>>
			<div class="inner-content">
				<?php echo $position; ?>
				<?php echo $title; ?>
				<?php echo $location; ?>
				<?php echo $description; ?>
                
                <?php if ( $settings['show_button'] == 'yes' && $settings['button_text'] != '' ): ?>
                    <?php echo $button; ?>
                <?php endif; ?> 
			</div>
	    </div>
        <?php 		
	}

}